<?php
/**
 * N3Download (Nesquik Download)
 *
 * Система представляет собой скрипт загруз-центра
 * Система написана на PHP, хранящая данные в БД MYSQL
 * Высокая скорость работы скрипта, устойчивость к нагрузкам
 *
 * Автор: N3squ1k (Несквик)
 * ICQ: 551-228
 *
 * Вы не имеете право продавать скрипта
 * Вы не имеете право вылаживать скрипта
 * Все права на данный скрипт пренадлежат его автору
 *
 * Все права защищены © 2010
 */

if (file_exists('../__incfiles/core.php')) {
	require_once('../__incfiles/core.php');
} else {
	exit('Немогу подключить системный файл');
}

if (!$admin) header('Location: '.ADMIN);

require_header('Настройки скрипта');

if (isset($_POST['submit'])) {

	$error = '';
	
	if (empty($_POST['path'])) {
		$error .= 'Введите адрес папки с файлами!<br/>';
	}
	
	if (empty($_POST['screen'])) {
		$error .= 'Введите адрес папки со скриншотами!<br/>';
	}
	
	if (empty($_POST['about'])) {
		$error .= 'Введите адрес папки с описанием!<br/>';
	}
	
	if (empty($_POST['size'])) {
		$error .= 'Введите размер превьюшки!<br/>';
	}
	else {
		$size = explode('x', $_POST['size']);
		
		if (!is_numeric($size[0]) || !is_numeric($size[1])) {
			$error .= 'Неверно введен размер превьюшки!<br/>';
		}
		
	}
	
	if (empty($_POST['symbol'])) {
		$error .= 'Введите кол-во слов при чтении на страницу!';
	}
	else if (!is_numeric($_POST['symbol'])) {
		$error .= 'Не верно введено кол-во слов на страницу!';
	}
	
	if ($error) { 
		echo '<div class="error">'.$error.'</div>';
	} else {
	
		if (mysql_query("UPDATE `".SQLprefixTable."settings` SET `search`='".intval($_POST['search'])."', `stat`='".intval($_POST['stat'])."', `path`='".mysql_real_escape_string(trim($_POST['path']))."', `screen`='".mysql_real_escape_string(trim($_POST['screen']))."', `about`='".mysql_real_escape_string(trim($_POST['about']))."', `size`='".mysql_real_escape_string(trim($_POST['size']))."', `symbol`='".abs(intval($_POST['symbol']))."' WHERE `id`='1'")) {
			header('Refresh: 1');
			echo '<div class="menu">Данные успешно сохранены!</div>';
		} else {
			echo '<div class="error">Ошибка при сохранении данных!</div>';
		}
	
	}

}

echo '<form class="menu" action="" method="post">
<b>Папка с файлами:</b><br/><input type="text" name="path" value="'.htmlspecialchars($set['path']).'"/><br/>
<b>Папка со скриншотами:</b><br/><input type="text" name="screen" value="'.htmlspecialchars($set['screen']).'"/><br/>
<b>Папка с описанием:</b><br/><input type="text" name="about" value="'.htmlspecialchars($set['about']).'"/><br/>
<b>Размер превьюшки:</b><br/><input type="text" name="size" value="'.htmlspecialchars($set['size']).'"/><br/>
<b>Кол-во слов на стр.:</b><br/><input type="text" name="symbol" value="'.htmlspecialchars($set['symbol']).'"/><br/>
<input type="checkbox" name="stat" value="1" '.check(1, $set['stat']).'"/> - Включить модуль статистики<br/>
<input type="checkbox" name="search" value="1" '.check(1, $set['search']).'"/> - Включить модуль поиска файлов<br/>
<input type="submit" name="submit" value="Сохранить"/>
</form>

<div class="block"><a href="'.ADMIN.'">Админ-панель</a></div>';
require_footer();
?>